Closed Bug 214407 (tbpalmsync) Opened 17 years ago Closed 15 years ago

Turn mozilla palm synch component into an extension

Categories

(MailNews Core Graveyard :: Palm Sync, defect)

x86
Windows XP
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: mscott, Assigned: Bienvenu)

References

()

Details

Attachments

(8 files, 5 obsolete files)

The seamonkey suite has an optional component for address book palm synch. This
should be re-bundled into a Thunderbird extension for our palm users. 

In order for this to happen, we need somone that has the palm synch SDK to build
mozilla with palm synch turned on to build the extension.
I have the palm component enabled since I installed Mozilla 1.4 after the Palm
Desktop suite. As a result, I have palmsync.dll in my components directory.

How can we convert this into a Thunderbird extension?
We might need to build the palm synch from scratch or at least get a version
from the 1.5 trunk. Otherwise we risk getting palm synch code that uses
interfaces that have changed on the trunk since 1.4. That's step one.

Step 2 is to find out what files come with the palm synch component. Is it just
the one dll? are there xpt files we need too? other dlls? 

The 3rd step is to package those dlls into an extension. I can provide more info
on that step once we answer 1 and 2.
There are 3 easily identifiable files within the Mozilla 1.4 Install Path:

PalmSyncInstall.exe
PalmSyncProxy.dll
components/palmsync.dll


I'll upgrade to the 1.5 trunk and see what's included then.
After uninstalling 1.4 and installing (not building, I don't have the time at
the moment) Mozilla 1.5a, I still have 3 files:

PalmSyncInstall.exe
PalmSyncProxy.dll
components/palmsync.dll


As a test, would it work if I copied these files into the Thunderbird directory
and hacked a config file to see if it transfers over to TB properly?
yeah I bet that stands a good chance of working. 

So our current step is: can we get these libraries working in a thunderbird
build by dropping them in manually. Good idea.
I copied the files into their eqiuvalent paths within Thunderbird, copied all
the lines like:

user_pref("ldap_2.servers.Business.PalmCategoryId", 1);
user_pref("ldap_2.servers.Business.PalmSyncTimeStamp", 1059695907);
user_pref("ldap_2.servers.Business.columns",
"cn,mail,o,nickname,telephonenumber,l");
user_pref("ldap_2.servers.Business.description", "Business");
user_pref("ldap_2.servers.Business.dirType", 3);
user_pref("ldap_2.servers.Business.filename", "abook-2.mab");
user_pref("ldap_2.servers.Business.isOffline", false);
user_pref("ldap_2.servers.Business.maxHits", 0);
user_pref("ldap_2.servers.Business.position", 4);
user_pref("ldap_2.servers.Business.replication.lastChangeNumber", 0);

from my Mozilla 1.5a prefs.js to Thunderbird's user.js. Then I ran the
uninstaller to remove the conduit to Mozilla 1.5a Mail and tried running the
.exe within Thunderbird's directory to install the conduit to TB's Address Book.


After the usual confirmation message box, I get an error: "Could not find the
Mozilla Address Book Palm Sync Conduit to install". :(


Could there be some other file(s) missing that is/are not so easily
identifiable? If so, can we track(/hunt ;) down someone who worked on the
original Palm Sync to Mozilla Mail and check that possibility?
...from prefs.js to prefs.js...
Ok, found a file I hadn't copied over, "mozABConduit.dll" in the Mozilla root.

Now, the conduit installs, and verifys in Palm Desktop among the list of
conduits during a HotSync. However, my test addressbook entry "Bla" that I enter
into my Palm isn't appearing in my Thunderbird addressbook. 

It was appearing in the Mozilla Mail 1.5a AB, so I uninstalled Mozilla 1.5 and
reinstalled the conduit from the TB directory. Still no sign of "Bla" entry, yet
it still exists in my Palm AB.

Any suggestions?
any errors in the JS console after you try to synch?
Status: NEW → ASSIGNED
Look for a .xpt file in your mozilla components directory that is probably called:

palmSync.xpt

Copy that file over.

Does that get us any closer?
Conall, did copying over that .xpt file make this work again?
There was no xpt file.


The only files I can identify with the Palm Sync are:

Mozilla\components\palmsync.dll
Mozilla\mozABConduit.dll
Mozilla\PalmSyncInstall.exe
Mozilla\PalmSyncProxy.dll
I have the Mozilla 1.5a talkback enabled zipfile and it contains
components/palmSync.xpt. This file should be there in your installation.
Uninstalled Mozilla and reinstalled 1.5a using the net install talkback
installer, instead of the offline installer I used before. No change, I don't
have components\palmSync.xpt. I don't understand how I can sync my Palm with
Mozilla Mail if I don't have it.


I have a feeling I'm going to have to setup my system to build Mozilla 1.5a from
a cvs snapshot...
using File Monitor from SysInternals, www.sysinternals.com, i'm getting the
extra file:

C:\Program Files\mozilla.org\Mozilla\CondMgr.dll

this is not in the mozilla package as default, so it seems to go with the
drivers/setup from palm.

i don't have a palm, so i can't test/know anything.
Been tossing around how to document this feature.

My best idea is to add a comment to the zip file allong these lines.
SEE README FILE FOR ENTERPRISE ROLLOUT CONFIGURATION OPTIONS.

The in the ReadMe.txt place the instructions presented here for setting up  the
all.js, etc.

The other options I considered were a popup like the profile manager or a popup
dialog on first run.    
I don't understand this. I've uninstalled 1.5a and installed 1.5b, PalmSync
options reappear, but I have the same 4 files as before. *scratches head*


Hmmm, perhaps I should try installing Palm Desktop, Mozilla 1.5b and Thunderbird
0.1 on a Win2K machine I don't normally use, I'm reluctant to uninstall and
reinstall Palm Desktop on my personal Win2K workstation...
Ok, you wanted practical help? Here it is...

What do you make of this?

-----------------
Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{B20B4521-CCF8-11D6-B8A5-000064657374}]
@="Mozilla PalmSync"

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{B20B4521-CCF8-11D6-B8A5-000064657374}\LocalServer32]
@="C:\\Mozilla\\bin\\mozilla.exe -PalmSyncStartup"

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{B20B4521-CCF8-11D6-B8A5-000064657374}\ProgID]
@="MozillaPalmSync.1"

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{B20B4521-CCF8-11D6-B8A5-000064657374}\VersionIndependentProgID]
@="MozillaPalmSync"

-----------------

I did a little digging on a whim. I found the mysterious xpt file in the
talkback zipfile, and copied all the files over as discussed. I installed the
conduit from my TB directory...and it did nothing except start Mozilla. I
decided to do some registry digging and this is what I came up with. When I
changed the LocalServer32 line to match my TB installation and synced, TB
finally started up, but then the hotsync slowed to a crawl and after a minute or
so continued on. Upon starting TB, I found nothing in my address book from the sync.

Then, I removed all the palm sync stuff from my prefs.js and tried to sync
again. Same thing. And no prefs are returned to prefs.js. Here are my thoughts...

1. perhaps mozABConduit.dll is hard coded to Mozilla.exe (unlikely, because
install location can vary) or...

2. there is a function call built into Mozilla.exe --> "-PalmSyncStartup" that
allows this to occur and handles the data transfer. This is most likely.

We need to find out that function call and adapt/integrate it into TB, along
with a way to make sure that registry entry is correct. This is where you all
come in...I'm not a programmer. 
Some further thoughts...

When I ran PalmSyncInstall.exe the first time, I had no Mozilla installation
present...only thunderbird.  Nothing happened.  But once I installed Mozilla and
ran it from there, Mozilla started up and synced just fine.  But then I re-ran
it from my TB directory...and it rerouted the conduits correctly, but did
nothing with this registry entry.   Mozilla must put the registry entry in place
when called from mozABConduit.dll.

And there's the other thing...I'm recanting a bit here in that mozABConduit.dll
could well be hard coded to call Mozilla.exe...as long as it's in the same
folder.  So, in reality, it's probably a combination of both of these things. 
When mozABConduit.dll is installed in the TB dir, it's still looking for
Mozilla.exe.  It doesn't find it, so it does nothing.
I assume:

HKEY_CURRENT_USER\Software\U.S. Robotics\Pilot Desktop\Application2

Is being changed to the respective path (not Application2, is ApplicationX, X
being an integer between 1 and infinity).


I need Palm Sync before I can switch to Thunderbird.  To important of a feature
to miss now that I'm used to it... so I'm willing to help however possible to
get this working.

I can put the palm sync SDK on my system.  If someone can explain how to build
with palm sync turned on, I can perhaps try it if I get a chance.
Robert,
Your assumption is correct.
QA Contact: asa
Robert:

Building with Palm Sync
=======================
1. Install the CDK from http://www.palmos.com/dev/tools/cdk/win/
2. set PALM_CDK_DIR=<path_to_palm_cdk>
3. set BUILD_PALMSYNC=1
4. Remove --disable-installer from your thunderbird .mozconfig; the
PalmSyncInstall executable needs to be built and it's located in
xpinstall/wizard/windows/palmsync.

I've already built a thunderbird (bin/ is packaged instead of thunderbird/;
copying the right files can be done after the palm sync is verified to work)
with palm sync (http://forums.mozillazine.org/viewtopic.php?p=209599#209599) but
so far jhirshon has indicated that it doesn't work for him.
You'll also need the following static mail patch.

Index: src/Makefile.in
===================================================================
RCS file: /cvsroot/mozilla/mailnews/extensions/palmsync/src/Makefile.in,v
retrieving revision 1.4
diff -u -r1.4 Makefile.in
--- src/Makefile.in     16 Mar 2003 00:24:15 -0000      1.4
+++ src/Makefile.in     28 Sep 2003 22:15:12 -0000
@@ -65,10 +65,16 @@

 LOBJS       = ../build/IPalmSync_i.$(OBJ_SUFFIX)

+ifndef MOZ_STATIC_MAIL_BUILD
+
 ifeq ($(USE_SHORT_LIBNAME),1)
 EXTRA_DSO_LIBS  = msgbsutl
 else
 EXTRA_DSO_LIBS  = msgbaseutil
+endif
+
+else
+SHARED_LIBRARY_LIBS = $(DIST)/lib/$(LIB_PREFIX)msgbsutl_s.$(LIB_SUFFIX)
 endif

 EXTRA_DSO_LIBS  += addrbook_s
From my Mozillazine post based on testing a build with palmsync:

I've done a fair amount of digging around...

There is something wrong with that dll.

I used the Seamonkey verison previously... worked flawlessly. Can't get it
working in thunderbird... so here's what I did.

Tried using hotsync in verbose... noticed no address sync attempted. Not listed
when you go into "custom" to configure the sync.

Uninstalled thunderbird palmsync using Seamonkey uninstaller (should be included
in thunderbird btw).

Installed Seamonkey Address book.

Edited registry, to point to: C:\Documents and Settings\Robert
Accettura\Desktop\bin\mozABConduit.dll rather than to seamonkey's verison of the
dll.


Once again uninstalled.. and addressbook came back.

So for some reason it won't load the dll, is my guess.


BTW: tried using the CDK version of hotsync, as it has better debugging
capabilities... but no success there. Didn't provide any relevent info.
You need two Palm supplied Dlls (with redistribution license) to be present:

"CondMgr.dll"
"HsApi.dll"

These files are usually installed when u install Palm Desktop or the HotSync.exe
that is a must for Palm Sync to work for the Mozilla Palm Sync Conduit to
interact with the Palm HandHeld Device.

The mozilla/xpinstall/wizard/windows/palmsync dir has the code to install the
Mozilla Palm Sync Conduit and the code uses these two Dlls to do the
installation of the Conduit. Check that code to find out where it looks to get
the Dlls.
For Mozilla these binaries are not hosted on Mozilla.org or part of Mozilla tree
since there is Open Source Licensing issues. The Palm Dlls have free
redistribution license but their source code is not Open Source. In most cases
(80%) however these Dlls would be present on user's machine though since user
must have installed either Palm Desktop Software or the Palm HotSync Software.
Ok,
I have built a debug TB from the trunk including the conduit and palmsync
extension. (thanks to some info and patch from swalker: see c22).
I used PalmSyncInstall that ended up in dist\bin to install the conduit (the
registry entry that corresponds to the registered dll points to my debug build)

I then synced my palm. At the time of the hotsync, TB was not running. When the
address portion of the sync began, TB started up and the sync continued.

I checked the log file that I had pointed to using the MOZ_CONDUIT_LOG variable,
and it shows a successful transfer of the addresses. I have also verified that
the addresses show up in the TB addressbook.

I think that taking the stuff from the mozilla builds may not work because of
the .xpt file that is needed in the components directory.

Anyway, building from scratch seems to fix the problems for me.

Kevin
Rajiv,  I apparantly have those DLL's.  I can successfully sync with Seamonkey
as well.  Just not thunderbird.
Alias: tbpalmsync
taking
Assignee: scott → bienvenu
Status: ASSIGNED → NEW
David,

Does that mean you have a fix?  

If you do, that means the App Suite may not be my default browser/email client
in favor of Thunderbird.
taking means I'm working on it :-) I have a palm to test with now.
Status: NEW → ASSIGNED
As might be evident, I'm a bit anxious, as this is the last "necessary" thing
for me to move to Thunderbird (which I LOVE) full time, and do some testing
there with real mail.

I'm willing to test anything you come up with.

May I note bug 206001 and bug 205952 which would be nice to have patched for
when it ships with Mozilla Thunderbird.  I doubt both are tough to fix, (if you
know what your doing, unlike myself).

I'm real excited that this is getting attention.  It's a great feature.
I have everything installed, built, and run (palm cdk, thunderbird's
palmsyncinstall, hotsync, etc).  The registry settings look OK, and refer to
thunderbird. I've run PalmSyncInstall from Thunderbird. Mozilla Address Book is
listed in the custom list for hot sync, but the action is set to "Do Nothing"
and double clicking or clicking Change do nothing (for those of you for whom
this works, I assume action is set to Sychronize the files - is that correct?)

I've debugged a little in MozABConduitSync.dll - it is getting loaded and run,
but the sync type is Do Nothing.  When I look at the hotsync log, it says:

	Conduit 'C:\thunderbird\mozilla\dist\bin\mozABConduit.dll': Conduit was used to
synchronize the following database(s):
		1. Application creator identifier 'addr' database 'AddressDB' 

Is that what it's supposed to say?
could someone who has this working (either in Mozilla or thunderbird) look at
their registry settings for the mozabconduit? Here are mine - I wonder if
they're correct.

[HKEY_CURRENT_USER\Software\U.S. Robotics\Pilot Desktop\Application6]
"Creator"=dword:61646472
"Conduit"="C:\\thunderbird\\mozilla\\dist\\bin\\mozABConduit.dll"
"Name"="Mozilla Address Book"
"Remote0"="AddressDB"
"Priority"=dword:00000002
"Integrate"=dword:00000000

Mine looks like this:

[HKEY_USERS\S-1-5-21-1229272821-492894223-839522115-1004\Software\U.S.
Robotics\Pilot Desktop\Application1]
"Creator"=dword:61646472
"Conduit"="C:\\Program Files\\internet\\Mozilla\\mozABConduit.dll"
"Name"="Mozilla Address Book"
"Remote0"="AddressDB"
"Priority"=dword:00000002
"Integrate"=dword:00000000

(Using WinXP, Mozilla 1.4 and Palm Desktop 4.1)
David.  I was able to install PalmSync with thunderbird, but the Palm HotSync
never recognized it.  Didn't appear as a conduit.  

I'm of the belief that mozABConduit.dll isn't doing it's job correctly.  What
exactly is wrong, I can't tell.

I have the same registry entry as well.  
David, if this helps any...

The last i remember, the conduit when you install it "inherits" whatever the
previous Address Book conduit was set to, as far as sync'ing in the "custom"
dialog of HotSync manager.

So, if you have Palm AddressBook conduit set to "Do Nothing" then that is how
your Mozilla conduit will be set up when you install it.

I'm not sure if this particular "bug" was ever corrected in Mozilla Suite, so it
may very well still be in effect here.

Hope this helps!
David: re: comment 33, with the CDK there is a utility "userinfo.exe" (located
in CDK403\Common\bin) that allows you to modify what each conduit does both on
the next hotsync and the default.  This should allow you to change the action
for the Mozilla conduit.  When I ran thru this with my build (see comment 27), I
had the address book conduit set to sync before I installed the Moz conduit. 
Everything worked fine after I ran PalmSyncInstall and synced my Palm.  Let me
know if you need anything else.  (I think I have my sync log and the conduit log
still if that will help)

Kevin
Another piece of information:  The actions for the various conduits are stored
in "users.dat" (usually in c:\Palm, or whereever you have installed the Palm
Desktop).  The format of this file is examined at this link:

http://www.geocities.com/Heartland/Acres/3216/users_dat.htm

Kevin
thx a lot, Kevin and Matthew, it works now, after running userinfo. The things I
don't understand are:

1. Initially, I just set up a default hot sync installation - did that leave
"contacts" not set up for syncing? Because it looked like hot sync was set up to
sync contacts and in fact, I did sync contacts I defined on my palm desktop
(which I assume is the same as address book, because I don't see anything about
address book)

2. Why is the "change" button disabled when I select the mozilla address book? I
wonder if it's because our conduit doesn't implement some methods that palm sync
wants us to? Is it disabled for others as well?
David:  on item 1, don't know what happened on your end, but I was set up the
same way as you (had syncing turned on for the address book) and when I
installed the Moz conduit, it was still set-up to sync in the HotSync manager.

On item 2, there is no box because it isn't implemented (see
http://lxr.mozilla.org/seamonkey/source/mailnews/extensions/palmsync/conduit/MozABConduitGenCond.cpp#197)

Based on the documentation from PalmSource, this is an optional item in the
conduit (see
http://www.palmos.com/dev/support/docs/conduits/win/Intro_HSMConduits.html#971784
), but I think that there should be at least a "Turn on/Turn off" possibility,
if the full list of possibilities is not implemented.

Kevin
thx, Kevin. That's what I thought. If this is a general problem, then I think
you're right and we need to implement at least a turn on/off UI.
I just happened to have created a bug (after thinking about it for months),
regarding the custom option:
Bug 221413

Hmm.  Guess I will leave it.  I think first it needs to be working before that's
a priority eh?

I would like to see the functionality that Datebook has (see screenshot attached
to Bug 221413)
Attached file zipped up dlls and .exe (obsolete) —
if you unzip this in your tbird .3 bin directory, and run palmSyncinstall.exe,
it could just work - please let me know. I hope I haven't forgotten any files.
These dlls are built against a .3 tree.
I tried it... got slightly further.  The verbose log reads:

----------------------------------------------------------------------------
Attempting to synchronize with conduit:  C:\Documents and Settings\Robert
Accettura\Desktop\bin\mozABConduit.dll
   Key is Software\U.S. Robotics\Pilot Desktop\Application6
   Sync type is Fast
Local path is C:\Program Files\Sony Handheld\AccettR\
   Remote name 0 is AddressDB
   Loading   C:\Documents and Settings\Robert
Accettura\Desktop\bin\mozABConduit.dll   conduit
   Conduit successful
----------------------------------------------------------------------------
I see nothing appear in my addressbook in Thunderbird though.  Just sitting in
my PDA.

Before it didn't even see the moz Conduit... so it's an improvement.
what happens if you put something in your mozilla address book? does it get
copied down to your palm?
No sync either way.

Feel free to IM me on AIM (DIGITALgimpus) if that could speed up diagnosis of
this issue, rather than infinate posts here.  

I'm a bit limited on time this week, but next week should have a light load.
David: Do you also need to distribute the .xpt file with the .dll and .exe 
files?  When I built the palmsync stuff, there is a palmsync.xpt file that ends 
up in the components directory.

Kevin
yes, you're right, added two component files - don't think this will help
Robert, though.
Attachment #132771 - Attachment is obsolete: true
Ok, I've got the ability to sync, with some bugs.  Discussed with David via AIM.
No longer blocks: 221413
to make palmsyncinstall.exe runnable from install.js, we need to make it take a
path to the mozabconduit.dll
to create the xpi file, you just zip the following files up into a .xpi file:
CondMgr.dll, HSAPI.dll, install.js (attached above), mozABConduit.dll,
palmsync.dll, palmSync.xpt, PalmSyncInstall.exe, and PalmSyncProxy.dll. All
files are at the top level of the zip file. I'll work with Scott to get this
added to the official tbird extensions.
David, AWESOME!
Can we possibly get an xpi together for testing with Thunderbird 0.3?
Attached file .3 xpi to try (obsolete) —
you can try this xpi file (I haven't tried it myself but it should work)
David:  According to bug 182573#c2 , Mozilla can't distribute condmgr.dll and
hsapi.dll.  Anyone that has the Palm Desktop should already have these files anyway.

Kevin
Kevin, as you know but others might not, those dlls are freely redistributable
as far as Palm is concerned - I'm not sure exactly what Mozilla's policy is for
extensions - if we have to put the extension somewhere other than Mozilla, we
can. My understanding was that Mozilla can't/won't put those dlls in the source
tree but I'm not sure if it would refuse to host the extension...cc'ing Brendan.
You are correct David. Palm allows conduit developers to redistribute those
dlls.  I had just remembered seeing something about redistributing them by
mozilla somewhere (the bug I mentioned) and wanted to make sure that you were
aware of what had been said on the subject in the past.  Personally, I don't see
why Mozilla shouldn't distribute them; then again, I'm not up on all of the
legal ramifications of that either.

Thanks for working on this.

Kevin
Kevin, yes, thx, you're right - I had read that bug, and I did talk to Rajiv
about this before. I think Mozilla didn't want to ship the palm sync extension
as part of a Mozilla install because we didn't have the source for the conduit
dlls. I'm not sure how Mozilla feels about extensions
I'm of the opinion it's a bit anal not to include the dll's at this point, if
they are needed.  As long as Palm Legal doesn't bark, which from they sound of
it, they won't.

The goal of PalmSync is to sync the address book with a proprietary product.  By
definition, it's going to be a bit hairy as far as source and rights go.  The
Mozilla end of it, is completely open.  The Palm side isn't.  Why can't it just
be noted that the DLL's are from Palm, not Mozilla?

I'm using a Treo 300 under XP and can't get either the posted .xpi or a
self-built .xpi (using the Handspring .dll's) to work. The Hotsync Manager
registers the Mozilla conduit and runs through the item during a sync, but no
entries appear in my TB address book. I had to manually run PalmSyncInstall.exe
after installing the .xpi file.

I've so far only been able to kill my ability to sync to Palm Desktop.

Suggestions, Walkthrough?
Anony, is the mozilla conduit setup to sync with the thunderbird address book?
If you click on the hot sync icon on the xp toolbar, and pick custom, and look
at the mozilla address book entry, does it say for the action for the mozilla
address book?

if you turn on conduit logging, what do you get in your log? to turn on logging,
set the windows environment variable MOZ_CONDUIT_LOG to a file like
c:\conduitlog.txt (you need to do this using the control panel to make sure the
env var is set when the conduit runs)

You might try adding an entry to your treo address book and running again. I
tried this just now and my entry was added to a tbird address book (unfiled, I
think)
I tried to install the ".3 xpi to try", however the PalmSyncInstall.exe complained "couldn't find the Mozilla Address Book Palm Sync conduit to install". So I ran PalmSyncInstall.exe in the TB directory where it was placed again, and then it worked. Just thought to let you know. Now the sync works with TB 0.3

However I noticed 2 things:
1.) extension does not show up in options -> extensions but it is installed 
2.) every entry in an address book which has only an e-mail is listed as -Unnamed- in the Palm Address book. The Problem is in the "Collected Addresses" address book every entry has no name. Is it possible to exclude that address book till this is fixed. Cause in the palm you can add address book entries with only an e-mail and then it does not show -Unnamed-.

Thanks for letting me know what I can do with these -Unnamed- entries.

But still great works, I've been waiting for Palm Sync to work since TB 0.1

Thanx a lot to everyone who's created it.

Marc
I confirm Marcs problem, when installing the xpi, I got the message "couldn't
find the Mozilla Address Book Palm Sync conduit to install".
I extracted the xpi and ran the .exe directly, that worked. Thank you so much!

I had the same problem once with the Mozilla conduit. I solved it by following
the advice in bug <a
href="http://bugzilla.mozilla.org/show_bug.cgi?id=182573">182573</a> and changed
the PATH environment variable.

Hope that helps, thanks again for this killer feature!
I wonder if the xpi file I put up there didn't have my changes for the installer
to take a path so that palm sync install would work when the xpi was
installed...I went to a lot of trouble to make it so installing the xpi would
run palmsyncinstall.exe correctly :-( I'll attach a new xpi that works against a
nightly/.4 build
David - to answer your questions:

1) In the Hotsync manager preferences,

Conduit			Action
Mozilla Address Book	Synchronize the files
(I can't change any options here)

2) Turning on logging:

Setting MOZ_CONDUIT_LOG to c:\conduitlog.txt via the XP System Control Panel
(under Advanced, Environment variables) did not force the conduit to log. No log
is ever created after a hotsync.

3) Adding a new addressbook entry into my Treo:

After doing this and launching Thunderbird, I'm given the following dialog:

"The procedure entry point ?Exists@nsFileSpec@@QBEHXZ could not be located in
the the dynamic link library xpcom_compat.dll."

Then, another dialog, 

"A previous install did not complete correctly. Finishing install. [OK]"

This continues until I delete my previous install of Thunderbird and reinstall.

I'll also note that after "sync'ing" using the Mozilla Address Conduit, all the
entries in my Treo are gone. Luckily, I keep a vcard of my entries and can
restore using Palm Desktop.

It would be nice if TB could import a vcard properly, but that's another story..

** Keep in mind I'm using a Treo 300, which may be a different beast from a
"standard" Palm, despite running PalmOS.

And I get the missing Mozilla Conduit install errors as people have reported. I
just kind of ignore those and install the PalmSync.exe by hand afterwards.

Thanks for your assistance.
Anthony, what version of tbird are you running? It looks like it's not
compatible with the version I created the xpi for (which could mean I screwed
something up)
I tried both the official thunderbird-0.3-win32.zip from mozilla.org as well as
a custom 'thunderbird - i686-gcc331 - 22-oct-2003.exe' from
<http://pryan.org/thunderbird/mozjf/>.

I'm installing (extracting, really) to d:\thunderbird and deleting my
preferences from 'C:\Documents and Settings\USERNAME\Application
Data\Thunderbird' between installs.

I haven't had the time to track down the registry entries, but I have a feeling
those might be interfering.

David - thanks so much for your hard work on this. I'm trying my best to move
from Mulberry (the greatest mail client on earth, IMHO :) ) but TB's vcard
import is kind of lacking and this seems like the next best thing.
I tried both the official thunderbird-0.3-win32.zip from mozilla.org as well as
a custom 'thunderbird - i686-gcc331 - 22-oct-2003.exe' from
<http://pryan.org/thunderbird/mozjf/>.

I'm installing (extracting, really) to d:\thunderbird and deleting my
preferences from 'C:\Documents and Settings\USERNAME\Application
Data\Thunderbird' between installs.

I haven't had the time to track down the registry entries, but I have a feeling
those might be interfering.

David - thanks so much for your hard work on this. I'm trying my best to move
from Mulberry (the greatest mail client on earth, IMHO :) ) but TB's vcard
import is kind of lacking and this seems like the next best thing.
Blocks: 222652
I finally managed to get it working properly. Remember I have a USB Treo 300, so
YMMV.

Steps:
Uninstall Mozilla [add/remove programs]
Uninstall Palm Desktop
Delete:
    Thunderbird install directory
    Mozilla install directory [c:\program files\mozilla.org]
    User Thunderbird directories [C:\Documents and Settings\USER\Application
Data\Thunderbird]

Install Palm Desktop
    When it asks whether you want to use Palm Desktop or a 3rd party PIM, say
3rd party PIM

Unzip palmsync.xpi [rename to .zip and extract]
Run PalmSyncInstall.exe in extracted folder
Start up Thunderbird
    Configure
    Login to your account
    Do not install palmsync.xpi
Close Thunderbird
Start Thunderbird
    Log into your account
    Install palmsync.xpi, ignore if it complains.
Close Thunderbird
Start Thunderbird
    Log into your account
    Confirm 'Mozilla' is listed in your Hotsync Manager
    Pray.
    Hotsync and cross your fingers.

The only entries the Mozilla AB picked up on were those not marked as private.
Go figure. On my Treo 300, there were two new Categories - Personal Addresses
and Collected. 

Everything else on my Palm was listed as Unfiled (despite it having been in a
different group under Palm Desktop long ago).

In my Palm, moved *every* entry from 'Unfiled' to the new'Personal Addresses'
group by hand. Sync'd, and Voila. Everything is now under Personal Addresses in
Thunderbird.

Step #55:
** Export your addressbook in every format the Address Book allows you to, in
case something dies or you can't get the Sync process working again. **

I had to delete the duplicates from the 'Unfiled' section in my TB Address Book,
but this didn't harm a thing after another sync.

I don't know if this has any effect, but I'd recommend logging into your mail
account before attempting a sync. I have a feeling that the delay between a sync
start and TB starting might cause problems. I sure don't feel like messing with
it at this point.

Test by editing one entry on your Palm and another in the TB Address Book. Sync
and make sure both sets of changes take.

It works. There. Magic.

Thanks Mozilla Dev's! This sounds like a nightmare, but I do appreciate your
efforts. :-) I'm officially moving to TB now.
Tried it on a second computer, and it wouldn't sync properly until I imported my
addressbook from Computer #1.

On a different note, this extension does not appear to interfere with the Yahoo!
Calendar Intellisync conduit.

But things definitely appear to break (at least for me) if Mozilla is installed.
David:  Comment #72 Sounds like my experience.  I don't see a bug on this.  But
I think there is an issue here.
Attached file trunk xpi (obsolete) —
this is an xpi against the trunk as of 10/29 - it shouldn't work any better (or
worse :-) ) than the previous one, but it's built against the trunk.
Just installed the newest Thunderbird 0.4 (10/28) and your new trunk.xpi extension.

Unfortunately some days ago I had installed Mozilla 1.4 on the same system. So after installing the trunk.xpi and doing a HotSync Mozilla 1.4 was opened instead of thunderbird. So, I uninstalled Mozilla, reinstalled trunk.xpi and then it worked. But is there a way to hotsync to thunderbird and still have mozilla installed??

And I'm very curious why this extension does not show up as an extension, is this not possible, or is it unwanted for some reason?

Furthermore I really hope the ability to exclude some address books from sync will find it's way into this extension cause the current version does sync with everything like LDAP servers, collected addresses and these address books are really not wanted on the palm.

But apart from these two problems the PalmSync.xpi is really outstanding. Keep up the good work and I really hope that this extension is released for everyone soon. BTW: This time the PalmSyncInstall.exe ran correctly not as in .3 xpi to try where it failed to install itself when installing the xpi.
David:

What are the remaining issues on this?  Last time we found that there must be
data on the computer side for the sync to work... and numerious other bugs, some
resulting in data loss (I believe a few bugs blocked by this are mine reflecting
those).

Will 0.4 ship as supporting Palm Sync officially?  Or will Palm Sync be a "beta"
during this time period, while other issues are worked out?
0.4 will be shipping with the xpi as is. 
I'm working on a problem where with my Palm Pilot (a Tungsten running 5.2.1, I
think), it puts the home mozilla address in the palm work address field. This is
partly because our sync code always takes the home address because the CDK only
supports one address field. Can anyone tell me if previous versions of the palm
os only had one address field? And is anyone else experiencing this problem? I
could just take the work address if it's not blank in the mozilla AB, but if it
is, I'll still end up with the moz personal address called the work address on
the palm.
Palm OS 4 has 1 address field.

IMHO, It should allow the user to choose what to perfer if both are populated
(and add the other as a note).  And if 1 is selected, sync that one as the address.
that's probably what I'm going to do. However, with the current version of the
SDK (does the SDK version match the palm os version?), I have no control over
which address field is set in the Palm Pilot AB. At least, as far as I know, the
4.03 SDK doesn't give me any control of that.
Well, I think 4.03 is the latest.

Since the CDK interacts with Palm Desktop/HotSync... it doesn't matter what Palm
OS Version... it's tied to the desktop software (currently at 4.0).
David & Robert:
The Tungsten T3 & E models come with the "Contacts" program instead of "Address"
like older Palm models.  The Palm SDK however does not come with the new PIM
code (it still has ver 4.5 of Address).  I have looked around on the web and
can't see anywhere that the format of the record is specified.  If and when that
format is made available, then we will be able to specify which address goes in
which slot.  (you would also be able to sync multiple addresses).

As a corallary, David, I don't think you will be able to completly fix mapping
issues when syncing with a T3 or E until we have the new format of the record.
(bug 226221)

Kevin
Thanks, Kevin, that's what I thought. I'll poke around a bit on the dev forums
and see if there's any info.
I recently attempted to install the palmsync application using the newest
trunk.xpi.  Trying to run the application right from download caused the
installer to fail.  I then tried the suggested extraction and running the
installer separately.  It appeared to work, as it was listed in the hotsync app.
 However, an attempted hotsync left no change in the address book or the Palm. 
I then decided to check the following key:

HKEY_CURRENT_USER\Software\U.S. Robotics\Pilot Desktop\ApplicationX

where I noticed the following:

When looking in the registry, it had all paths incorrectly written as Mozill~1.
 I have two subdirectories, MozillaFirebird and MozillaThunderbird in the same
directory, Program Files.  Therefore, the correct directory should be Mozill~2.
  I fixed this problem, but it still did not want to work. 

I decided to delete the extracted directory, and found that rather than using
the files copied to the Thunderbird directory, the Hotsync app and Thunderbird
were using some files from the extracted zip.  I searched for palmsync.dll (the
file in use) in the registry, and changed these paths accordingly.  Finally, the
palm syncronized correctly, and the addresses showed up in Thunderbird.

Note:  When I installed the module, it not only had the registry entries
incorrect, it had installed everything in the Firebird directory (Mozill~1)
rather than the Thunderbird directory (Mozill~2).
I don't know if this will help or just annoy you, but I'll let you know 
anyway... and a big thanks for all of your hard work :)

Hmmm... Well I undertook a great quest and thought that the details of it may 
help others.

Before I begin I shall make you all cringe and confess that I am using Windows 
98 SE.

My aim was to have my palm syncing with mozilla thunderbird. What happened is 
as follows:

I had Mozilla 1.5 installed on my machine before I set out, not because I like 
it at all but because I had read that it seemed to make the palm syncing a bit 
easier.

More recently I installed Thunderbird 0.4 - a great product which I love - and 
all was going well. I downloaded the xpi for the palm syncing from the mozilla 
ftp site and then installed it. Restarted. Aside from the fact that by default 
it entered into Mozilla to sync addresses it seemed to work fine, and going 
into Thunderbird first solved that problem. In Thunderbird I had all of my palm 
contacts and in my palm I had all of my Email contacts; and 3 copies of all of 
my palm contacts. But other than that I was happy with it.

The problem was that I started to get greedy and try to exorcise the evil 
bloatware demon (known to some as mozilla) from my beloved PC. So I uninstalled 
it. This is where things started to go downhill for me.

I had used the win32 installer to put on Mozilla so I just uninstalled using 
the uninstaller. Then I restarted (like the seasoned win98 user I am), pressed 
the hotsync button and Thunderbird opened and crashed (an illegal operation 
error I think). I tried again - nope. Opened up Thunderbird and tried again. 
All my 'addressbooks' stayed but all of my contacts disappeared on me.

Admitting defeat I reinstalled Mozilla. Nothing - the same as above. It was as 
if it wasn't syncing to it at all. 

After another restart (if I forget to put it in I restarted after everything to 
try and save my poor registry) I tried reinstalling the xpi.

This lead to a nasty one; after installing it it made me restart and then when 
I tried to go into it I kept getting an error about it being partway through an 
install and it must finish it, but then it would exit. 

I deleted Thunderbird and then unzipped the original again. After reinstalling 
the extensions, I got my 'partway through installing' error again.

I resorted to using the tool that came with Mozilla to uninstall *its* palm 
sync thing (which I have never installed) and that seemed to get me somewhere; 
namely where I was before I started.

I tried, thinking that I was starting from scratch, reinstalling the xpi from 
the ftp site. Nothing happened - my 'addressbooks' were as empty as a beggars 
pockets.

I noticed that at this point there was a new file in the thunderbird directory 
that was an executable 'palm install' thing so I double-clicked that beast and 
again got no result.

At this stage I decided I was sick of playing and wanted my palm desktop back 
so I used mozilla's palm-uninstall to delete the conduit.

Thinking I had at least managed to return to square one I went into Thunderbird 
to email my friends about my difficulties only to be faced with another 'Didn't 
complete installation. Finishing now' error over and over.

After a deep sigh I reinstalled Thunderbird and now I am happily back where I 
came from...

Hope this helps you important people fix it... or at least saves my fellow 
plebs from wasting as much of an evening as I did!

Ciao
I'm going to attach a new .xpi for thunderbird that has one way sync (pc
overwrite palm and vice versa) and has a fix for a home/work address mapping
problem. This .xpi can be used with the latest thunderbird build (01/13 or later)

I have seen that the last version of hunderbird that's run seems to be the one
that's invoked during palm sync. That might also explain why mozilla also can
take over palmsync...I thought the registration only happened at install time,
but I'll investigate.
Attached patch new trunk xpiSplinter Review
Attachment #133351 - Attachment is obsolete: true
Attachment #134487 - Attachment is obsolete: true
Will test new XPI against latest Thunderbird late today (or tomorrow if I think
it will be a snow day ;-) ).

AFAIK, the goals are to verify the following bugs as fixed (let me know if I
missed, or added one by mistake):
Bug 226221
Bug 231615
Bug 227598
Bug 227507
Bug 222016
Bug 221413


Wow, that's a nice little update there :-D
Also, bug 226221, and the regression introduced by that fix. I don't think
there's anything in Bug 221413 that's not covered by other bugs...
Scott, et. al.:

I'm not a Mozilla developer, but I am a Mozilla/Palm Pilot user wannabe.  I've
been trying to use Mozilla Address Book in concert with my Palm Pilot for
probably two years, and have numerous problems with Address Book synching with
my Palm.  It seems that most of the issues that I've encountered have been
identified as bugs already.  (Currently running 1.5).

This synching functionality needs to work well.  I wonder if the people at
PalmSource.com would be willing to make Mozilla Address Book synching better?  I
wonder if the people at PalmSouce could somehow link THEIR address book/calendar
software into Thunderbird?

My 2 cents.

I'm not able to sync my new palm Tungsten E with Thunderbird. I installed
Mozilla 1.7b and it works fine with. Is it hard to migrate the code from 1.7b?
Is there any solutions?
there's an extension for thunderbird - you just need to install it. When 0.6
comes out, I'll attach a new .xpi file for thunderbird palmsync.
I tried the extension with version 0.5 (20040312) and this extensions won't
work. I see Mozilla Adresse Book when I do an hotsync, but no adresses book are
sync... Is it normal?
The Palm Address Book extension will work with V0.5, however, you have to know a
few tricks and hold your mouth just right when you install the extension.  You
can read more about it at:

http://forums.mozillazine.org/viewtopic.php?t=50856&highlight=palm+sync+address

Nevertheless, the Palm Address Book extension is now broken again on V0.6.  ugh...
I mentioned to David a few days ago it's broke.  Hopefully if/when he gets a few
free cycles he can build a new one.

I tried the other day, but it's not working for me.
Attached file .6 xpi for testing
(In reply to comment #96)
> Created an attachment (id=147699)
> .6 xpi for testing

Hi David,

Thanks!

I will test the new xpi today and let you know how things go.

Gordon
http://www.gajets.net

Many bugs! I lost many contacts (but I backed up before). Sync and all an
adresse book is lost. (I added one or 2 contacts on the computer, and now, tha
adresse book on the palm is empty and the Tunderbird adresse book is ok)
To solve the problem and get back my contact, I had to do :
1) Rename the adresse book in Tunderbird, for example, Friends to Friends1
2) Sync
3) Remove the categorie Friend on the palm (who is empty)
4) Rename the categorie Friend1 to Friend
5) Sync

I all the sync process, I close Thunderbird, because it often crashes if I don't.
I've got the Palm sync to T-Bird V0.6 sort of working.  That is, everything
syncs except new entries on the Palm are not being added to T-Bird's Address
book. That is, I can add entries or edit entries on T-Bird's address book and
the Palm is correctly updated when sync'd.  However, when I add entries to the
Palm's address book then these entries are not added to T-Bird's address book
when sync'd.  Nevertheless, updates to the Palm's address book are correctly
updated on T-Bird's address book when sync'd.

Has anybody else seen this phenomona?  I think that it may be a bug that I
hadn't previously noticed on TB0.5.  If so, then it should be added as a
specific bug item in Bugzilla.  

Comments, please?

Thanks,

Gordon

(In reply to comment #96)
> Created an attachment (id=147699)
> .6 xpi for testing
> 

I cannot get this to work on 0.6 Release.  I can get it to install only if I run
PalmSyncInstall.exe after running the palmsync.xpi.  Running palmsync.xpi gives
an error message about being unable to register PalmSyncProxy.dll.
(In reply to comment #101)
> (In reply to comment #96)
> > Created an attachment (id=147699)
> > .6 xpi for testing
> > 
> 
> I cannot get this to work on 0.6 Release.  I can get it to install only if I run
> PalmSyncInstall.exe after running the palmsync.xpi.  Running palmsync.xpi gives
> an error message about being unable to register PalmSyncProxy.dll.

OK.  For some reason even though the error message I get would imply it did not
install, it did and it works.  Sort of.

On every sync it seems to duplicate any address from my Visor to the Thunderbird
address book that has more than the expected number of telephone or E-mail
fields.  For example, if I have two business telephone numbers, the extension
duplicates the address, place both in my Visor address book listing one business
number first for one listing and the other number first for the second listing.
   My preference would be for the extension to truncate the address listing and
not try to keep all of the information from my Visor.
(In reply to comment #100)
> I've got the Palm sync to T-Bird V0.6 sort of working.  That is, everything
> syncs except new entries on the Palm are not being added to T-Bird's Address
> book. That is, I can add entries or edit entries on T-Bird's address book and
> the Palm is correctly updated when sync'd.  However, when I add entries to the
> Palm's address book then these entries are not added to T-Bird's address book
> when sync'd.  Nevertheless, updates to the Palm's address book are correctly
> updated on T-Bird's address book when sync'd.
> 
> Has anybody else seen this phenomona?  I think that it may be a bug that I
> hadn't previously noticed on TB0.5.  If so, then it should be added as a
> specific bug item in Bugzilla.  
> 
> Comments, please?
> 
> Thanks,
> 
> Gordon
> 
> 

Yes, I had the same problem. It is caused by the fact that new entries on the
palm do not belong to a category. If you choose category "personal" for a new
item, everything works ok. Have not tried with other categories, but should work
too.
The 0.6 test version worked for me, I'm using Thunderbird 0.6, Palm Desktop 4.1
and a PalmOne Treo 600 (with PalmOs 5.2). It installed as an xpi without
problems, although it didn't appear on the extension list of Thunderbird.

There are still problems, though, but these are probably known to the developers. 

The long, default address books of TB (the Collected Addresses and Personal
Addres Book) get truncated to 'Collected Addre' and 'Personal' (My Treo thinks
that the Thunderbird's long name is the same as PalmOS's default Personal
category.) I found it most safe and glith-free to add an address book with a
short name without any special charactes and keep everything there.

If I try to move contacts from one address book to another, in Sync, it always
causes either the Palm or the TB Address book to get confused and those contacts
won't sync properly. Either the contact is only available in one of them, or it
disappears completely. The same sort of behaviour occurs if I accidentally use
fields that aren't available in Palm.

Also, a contact with no name (just a TB screen name and an organization name)
messes up the whole thing and duplicates start to appear.

I can avoid these problems by being extra careful and using only the fields that
I know work both in the Palm and Thunderbird and using only the address book
with a short, simple name I created.
(In reply to comment #104)
> The 0.6 test version worked for me, I'm using Thunderbird 0.6, Palm Desktop 4.1
> and a PalmOne Treo 600 (with PalmOs 5.2). It installed as an xpi without
> problems, although it didn't appear on the extension list of Thunderbird.
> 
> There are still problems, though, but these are probably known to the developers. 
> 
> The long, default address books of TB (the Collected Addresses and Personal
> Addres Book) get truncated to 'Collected Addre' and 'Personal' (My Treo thinks
> that the Thunderbird's long name is the same as PalmOS's default Personal
> category.) I found it most safe and glith-free to add an address book with a
> short name without any special charactes and keep everything there.
> 
> If I try to move contacts from one address book to another, in Sync, it always
> causes either the Palm or the TB Address book to get confused and those contacts
> won't sync properly. Either the contact is only available in one of them, or it
> disappears completely. The same sort of behaviour occurs if I accidentally use
> fields that aren't available in Palm.
> 
> Also, a contact with no name (just a TB screen name and an organization name)
> messes up the whole thing and duplicates start to appear.
> 
> I can avoid these problems by being extra careful and using only the fields that
> I know work both in the Palm and Thunderbird and using only the address book
> with a short, simple name I created.

Sorry about the last post, I just wanted to be informed of updates here, this is
really critical for me.  Anyhow, it isn't working too well (TB 0.6), I got it
installed then sync'd, but new contacts entered on palm would not show up on TB,
and vice versa, on snyc actually reset my Zire.  I have Zire21, Windows 2000,
HotSync 4.1.0.  

I'm having much difficulty locating anything on this issue, is there a dev
website , CVS repos, or forum?  I'd like to try and help or at least have a look
at the code...
> Yes, I had the same problem. It is caused by the fact that new entries on the
> palm do not belong to a category. If you choose category "personal" for a new
> item, everything works ok. Have not tried with other categories, but should
> work too.

Thanks for the explanation Hans.

What is the plan for getting the palm sync extension to work with TB0.7?  The
absense of the palm sync extension is a show stopper for most palm users to
migrate to TB0.7.  Has anyone heard what the time frame is for getting the palm
sync extension ported to TB0.7?

Thanks,

Gordon
This extension has several bugs, that need to be worked on, as follows:

1) In Windows, the xpi doesn't register the component properly in the registry: 
The value in the key registered under
HKEY_CURRENT_USER\Software\U.S. Robotics\Pilot Desktop\ApplicationX 
is wrong, the \ is a double one in front of mozABCconduit.dll, it should read like:
c:\Program Files\MozillaThunderbird\mozABConduit.dll 
Probably the bug lies in the code of PalmSyncInstall.exe or somewhere else.

2) The extension works (after you fix error 1) manually) only with Th<0.7, it
doesn't work with Th>0.6, because of the new exten
There is obviously a simple bug in PalmSyncInstall.exe

Next, the xpi should be repackaged into a 0.7 extension compatible format. I
didn't try if it works with ShowOldExtensions extension, here is the link anyway:
http://update.mozilla.org/extensions/moreinfo.php?application=thunderbird&id=49&vid=52

3) The strings should be taken out of the code to enable localizations... I can
provide Slovenian localization files

4) The extension should get more coverage by becoming either part of default
install or becoming a more public extension, with project hosted at mozdev or
any like site; it was very hard, even impossible learning where this page with
its xpi resides... If the maintainer of this extension cannot offer support
anymore, he/she should find someone else to take control over the project.

Howgh!
Is there anyone still working on a possible tb0.7.x compatible xpi ?
According to Ben, the new extension manager does not have the features required
to support installing the palm sync extension, so we're stuck with the old xpi
format until EM supports what we need.
Did Ben say what EM features were needed?
the basic problem is that the palm sync extension installs non xpcom dlls
outside the components directory.  We also have to run PalmSyncInstall.exe at
install time...
I've been trying to figure out how to get TB .7.x to sync address info with my
Palm, and am having problems locating current info. After finding this bug, I'm
still a bit confused and hope someone could please summarize:
a) exactly where things are w/Thunderbird .7.x and palm sync (fatally broken, or
just needs-hacking-to-make-it-work?)
b) what the prognosis/timeline is for having something that works _smoothly_?
c) recommendations for current action from a user's perspective (bite the bullet
and try mucking through an install, or just wait a while?)
David,

Any ETA on that being fixed in EM?
That sort of EM change is almost certainly post-1.0 for TB/FF.  Rest assured
that it's important, though, and on the radar for the first round of post-1.0 EM
enhancements, as I understand it.
Attached file palm sync xpi that should work with .8 (obsolete) —
this xpi should work with tbird .8, when it comes out (and nightly aviary
branch builds, and maybe even tbird .7, though I haven't tried that). I fixed
the registry path setting problem (the double slash in the path problem) and a
problem with the generation of the string that is used to restore old conduits
on uninstall. You just install this xpi with the extension manager - you have
to relaunch thunderbird after installing the xpi (according to an error message
you'll probably get). Palm Sync won't show up in the EM, but it will show up in
the palm conduit mgr ui...
(In reply to comment #115)
> That sort of EM change is almost certainly post-1.0 for TB/FF.  Rest assured
> that it's important, though, and on the radar for the first round of post-1.0 EM
> enhancements, as I understand it.

Thanks for the update.  I hope that does stay on the radar as it's pretty
important.  This is a parody feature for Tbird to complete with OE.  

Would this prevent it from being bundled in the installer?  I thought that was
the ultimate goal.
Installer is orthogonal, I believe. We can do what we want in the installer,
except that currently I don't think the installer can install extensions. But
the installer could definitely optionally install palm sync.
/me thinks that getting this into the installer is the better way to go anyway.

Correct me if I'm wrong, but don't we need a new build around releases anyway? 
Perhaps making it an extension just isn't worth the effort.
there are mechanisms to auto-update extensions as well, I believe.

It's not neccesarily the case that we need new xpis for new releases. It just
depends if the interfaces used by palm sync change or not.
Hi David,

The new 0.8 extension for Palm Sync appears to work right out of the box with
T-Bird 0.7x.  I installed and tested it with T-Bird 0.73 and everything appeared
to function properly on my first installation attempt.   

Thanks,

Gordon
(In reply to comment #120)
> there are mechanisms to auto-update extensions as well, I believe.
> 
> It's not neccesarily the case that we need new xpis for new releases. It just
> depends if the interfaces used by palm sync change or not.

But if it's bundled into the installer, there's nothing to worry about (having
an incompatible verison of PalmSync when you upgrade.
this fixes a long standing but probably rare memory access error in the palm
sync code.
Attachment #157188 - Attachment is obsolete: true
I just installed the .8 .xpi on 0.7.3 and synced.  It did a pretty good job.

BUT, I have a couple of contacts with 2 e-mail addresses.  It imported only the
second of the 2.  There was no entry in the "Additional Email" line of the
address card.

That didn't bother me so much, EXCEPT: when I added the additional email to TB's
address card (under "Additional Email") and synced again it REMOVED the second
email address on my PDA.  Now the 2nd e-mail address is gone from my PDA.

Any ideas?  Is there supposed to be support for multiple e-mail addresses?
I just tried this with a Thunderbird Nightly, on a machine in which Mozilla is
also installed, adn the sync worked--but to the wrong address book.  It synced
with Mozilla and not Thunderbird.
I am having trouble syncing Notes. Everything was working fine with Outlook/Palm
fields. I introduced this extnesion into Thunderbird and it synced with my phone
after some changing of the category names. Unfortunately, all of the Notes in my
Address Book entries on both the Palm device and Thunderbid disapeared.
Subsequently, Speed Dial entries disapeared on the Palm device.

The notes remain in Outlook and the Palm Desktop but I am unable to sync Outlook
to the Palm device now that I've installed this extension. Is there a way to
unsinstall the extension and get Outlook Contacts back into the Conduit list?
(In reply to comment #126)
> I just tried this with a Thunderbird Nightly, on a machine in which Mozilla is
> also installed, adn the sync worked--but to the wrong address book.  It synced
> with Mozilla and not Thunderbird.

I get the same issue, using TB 0.8.  I have Netscape 7.2 installed previously
and the sync updates my Netscape Address Book, but not the Thunderbird one.

I am not a developer, but am willing to help to get this resolved.
Have you tried running PalmSyncInstall.exe? Installing the extension should run
that automatically, but it sounds like it hasn't been run.
Sync with palm worked fine with Thunderbird 0.7.##  Just updated to 0.8 and
installed new xpi. Several problems. Address book sync does not work. Plus
during sync my Firefox browser is automatically run (rather than Thunderbird).
Any ideas what's going on? 
Hans
Hi David,

Well, today I decided to upgrade to T-Bird 0.8 and I can't get Palm Sync to work
no matter what I try.  FYI, I am using the latest version of Palm Sync:("new xpi
for .8 that fixes memory access error.").

Sometimes, I get a pop-up error message that states: "Server busy error. This
action cannot be completed because the other program is busy." Other times I do
not get any error messages.

When I sync for the "desktop to override the hand held", I get an error in the
Palm Destop's log that states: "Conduit Error: Unknown error. (110C)". However,
when I do a normal sync ("synchronize the files") I do not get any address book
related messages in the Palm log.

I have uninstalled/reinstalled T-bird and the Palm Desktop software from scratch
numerous times without success. I have tried every trick that has previously
gotten the sync software to work, however, nothing has succeeded. I have tried
to go back to T-Bird 0.7.3, however, I can't get that to work any more either so
I am now totally incommunicado with my Palm Pilot.

Do you have any new suggestions? I am totally stuck and without any more ideas.
Also, please go look at the Mozilla T-Bird forums and you will see that many
other people are having these same identical problems as well.

Please help David!

Gordon
Hi David,

Please check out the following thread in the Mozilla forums:

http://forums.mozillazine.org/viewtopic.php?p=816338#816338

There, phoxxy reported that Palm Sync could be made to work by installing the
Contacts Sidebar extension.  So, I installed Contacts Sidebar as phoxxy had
recommended and Palm Sync immediately started working thereafter.

Apparantly, Palm Sync doesn't work out of the box unless you have installed
Contacts Sidebar. Installing Contacts Sidebar got Palm Sync working for me. 
FYI, I had previously been using Contacts Sidebar until recently when I
uninstalled it because I didn't want it any more.  I now believe that is why
Palm Sync previously worked and why I recently started having problems
reinstalling Palm Sync.  Hopefully, this info will help you fix the apparant bug
in the Palm Sync software that is causing these installation issues.

FYI,

Gordon
I don't know about Contacts Sidebar - I don't have it installed and palm sync
works fine. I wonder what uninstalling Contacts Sidebar did...and then what
installing it does. It should be orthogonal, obviously...I'll look at its source
and see what it does.
I don't have it installed either.
Same story as Gordon in comment #131 here.
... and guess what, installing Contact Sidebar made it work. 
Ok, installing both Palmsync & Contacts Panel on TB 0.8 finally made it work.

HOWEVER, only SOME of my contacts were copied to Thunderbird, say 2 out of 20 
contacts on some categories. Don't know if there's a common pattern as to which 
contacts were left out.

(The conduit is set to "handheld overwrites PC" -- I'm not taking the risk to 
setting it otherwise.)

I'm sorry, it's private records that don't get synced, and this is already 
discussed in Bug 197787.
(In reply to comment #133)
> I don't know about Contacts Sidebar - I don't have it installed and palm sync
> works fine. I wonder what uninstalling Contacts Sidebar did...and then what
> installing it does. It should be orthogonal, obviously...I'll look at its source
> and see what it does.

I am another user with sync problems in 0.8 that were solved by installing the
sidebar extension. It is also the case that I had uninstalled this extension
before upgrading to 0.8. So, it seems that uninstalling sidebar is the source of
these problems.
I believe there are users who never had the sidebar contacts extension installed
that had this problem go away once they installed the extension. But I have no
idea why installing the extension should help.
(In reply to comment #140)


I have tried getting the palmsync to work using a clean install of TB.8, I used
the latest.8 xpi
It fails the install with the "Falied to register the Mozilla's Palm Sync
Support Proxy Dll while installing the Mozilla Address Book Palm Sync Conduit."
error

Using the palmsyncinstall.exe returns the same error

Installing the contacts sidebar makes no change.

I know most of you are working with various upgrades, and suggestions for a
clean install?
(In reply to comment #141)
I finally got it working:

completely remove thunderbird (including user data)
do a clean install of thunderbird, after the palm hotsync stuff is installed
install the palmsync extension
install the contacts sidebar extension

The palmsync extension wouldn't install (that previous error message) unless TB
was installed clean after the palm hotsync stuff.

The palmsync extension would only open TB and not transfer any data untill the
contacts sidebar was installed.

After reading all of this, maybe the contacts sidebar should be made part of the
palmsync extension, so at least they get installed together.


The latest xpi works for me under TB.8 with Contacts sidebar, seemingly in both
directions (add contacts either in TB or on the palm) EXCEPT TB must be closed
*immediatly* after the hotsync.  Otherwise there is a program crash, every time.

Examining the address book after re-launch, it looks like everything is in order.

Completely uninstalled TB and started from scratch, same behavior.
(In reply to comment #142)
> completely remove thunderbird (including user data)
> do a clean install of thunderbird, after the palm hotsync stuff is installed
> install the palmsync extension
> install the contacts sidebar extension

I had this plugin working with 0.8 once, but I switched sync back to Outlook and
changed Thunderbird folder in the meantime. Now, there's just no way to make
Thunderbird - Palm sync work. I'm using Nov. 01 build.
Tried all the advices here and on the forum, but no luck. Reinstalling
Thunderbird, creating new profile, Contacts sidebar or not, it just does not
sync the Address Book. Sync is installed but during sync process it just jumps
over the Address Book part.
When installing through Tools-Extensions, I keep getting Unexpected Error -203.
Attached file palmsync.xpi built against .9 tree (obsolete) —
this is a the same as previous palm syncs; it's just linked against the latest
source code...
i just pushed the 0.9 xpi out on the ftp site
I would like to see more options added. Like only, sync this Thunderbird address
book (i.e. only personal address book, or only contacts, I want to have some
contacts that don't get sycned)
Hi, I can not get palmsync.xpi working with Thunderbird 0.9, I get this in
install.log after trying to install the extension:

Install **FAILED** with error -203  --  2004-11-09 22:49:41

I am using the file I downloaded from:

ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/

the one at the root directory.

Is there any other specific palmsync for TB 0.9?
yeah, xpinstall changed since .8, in such a way that our installer got broken. I
have a new version that works a bit better, though it will still complain that
you need to restart for it to take affect, but we can't fix that now...I'll try
to attach the newer xpi tonight.
David, 

if you need some testing on that with a recent nightly, I should have some time
tomorrow to toy around with it.  
Attachment #164478 - Attachment is obsolete: true
(In reply to comment #152)
> Created an attachment (id=165370)
> xpi that works better with new xpinstall

thanks David, this new extension works fine with the 0.9 TB release :-)

I just installed it, restarted as requested, created a "test" person in the TB
address book, hotsynced, and the "Test" person appears in the Palm Address app
just pushed the new 11/9 .xpi file onto the ftp site.

added a release notes comment about needing to restart after installing the
extension before it will take effect. 
mscott:

my testing shows you need to also remove PalmSyncInstall.exe and
PalmSyncProxy.dll prior to trying to install it.

Otherwise you'll get an error at the end of the install.
(In reply to comment #155)
> mscott:
> 
> my testing shows you need to also remove PalmSyncInstall.exe and
> PalmSyncProxy.dll prior to trying to install it.
> 
> Otherwise you'll get an error at the end of the install.

Could you have had the remnants of an earlier Palm Sync xpi install hanging
around and that you had to remove?  I didn't remove anything and the extension
installed and worked fine. I did have to re-install contacts side bar in order
to make Palm Sync work, however.

Gordon
I'm not having any luck with this.  I first started playing with the initial xpi
build against .9 and when trying to install via Extensions I usually got
unexpected error -203.  Everytime it would remove the palm Adress conduit from
the conduit list, but I wouldn't see the Mozilla Address Book conduit listed. 
Unzipping the xpi and running the installer got the Mozilla Adddress Book in my
conduit list and when I hotsync it brings up Thunderbird and says it's syncing..
but it justs sits there for a while then apparently gives up and finishes the
rest of the sync. The sync log does not list an error but does not list Address
as being synced. The Moz conduit log only gets this: "------------ START OF PALM
SYNC ------------ at <date>  Getting moz AB List ..."  The Palm log doesn't
mention syncing Address Book.
I just tried again witht he latest xpi: that didn't give me and it got Mozilla
Address Book in the conduit list, but I'm still getting the same hotsync results.

What could I be missing?
> I just tried again witht he latest xpi: that didn't give me and it got Mozilla
> Address Book in the conduit list, but I'm still getting the same hotsync results.
> 
> What could I be missing?
> 

Hi junk,

Did you install the Contacts Sidebar extension after you installed the latest
Palm Sync xpi? You need to install this extension after the installation of the
latest Palm Sync extension in order for the Palm Sync extension to work (at
least that is what I had to do).  If you have not installed Contacts Sidebar
then you may download this extension at:

http://www.extensionsmirror.nl/index.php?showtopic=276

This apparantly tickles the registry into allowing Palm Sync to work if you hold
your mouth just right.

FYI,

Gordon
With the latest nightly build 0.9, Contacts Sidebar 0.4, Palmsync Nov 10, still
doesn't work...
The log doesn't even mention Thunderbird AB:

HotSync operation started 11/22/04 10:05:40
Mail - sync configured to Do Nothing
Expense - sync configured to Do Nothing
-- Outlook Calendar	3.1.6.0 Professional
	Outlook Calendar - conduit configured to Do Nothing
-- Outlook Tasks	3.1.6.0 Professional
	Outlook Tasks - conduit configured to Do Nothing
-- Outlook Notes	3.1.6.0 Professional
	Outlook Notes - conduit configured to Do Nothing
Pocket Quicken 2.0 doing nothing
OK Pocket Quicken 2.0
HotSync operation complete 11/22/2004 10:05:49
(In reply to comment #159)
> With the latest nightly build 0.9, Contacts Sidebar 0.4, Palmsync Nov 10, still
> doesn't work...    The log doesn't even mention Thunderbird AB.

Hi Alen,

I am currently running the November 17 nightly build {version 0.9+ (20041117)}
and Palm Sync works fine.  FWIW, if the Mozilla Address Book does not appear in
your log or under Palm Desktop's Custom option (right click Palm Desktop >
Custom > Conduit) then you probably never got the Palm Sync extension properly
installed. So, you may want to start over and install Palm Sync again from scratch.

Gordon Dickens
(In reply to comment #160)
Thanks for suggestion, Gordon. Here is the report from this evening...

I hope I won't be the only one who does not have this working. :)
Thunderbird version 0.9+ (20041126), Palm Sync (2004-11-10), Contacts Sidebar 0.4.

Removed previous installation of PalmSync with /u and manually deleted the
files, following the instructions at
http://forums.mozillazine.org/viewtopic.php?t=128538&highlight=palm, posted by
cd_racer. Removed Contacts Sidebar. Restarted Thunderbird a couple of times
during these uninstallations.
Installed Palm Sync through extensions window. Set all the conduits except
Mozilla Address Book to do nothing. Set MAB conduit to Handheld overwrites
Desktop. Started Thunderbird. Synced the Palm (Visor Neo). The synchronization
hanged, displaying the message with Switch to and Retry buttons. After  a couple
of Retries and Switch to-s, the sync finished. No traces in log file. MAB
conduit was reset to Synchronize the files. Edited one record in Contacts.
Disabled other conduits again. Resynchronized. MAB sync window was displayed for
ten seconds or so. Couldn't find any traces of synchronization in the address
book, though.
Added a new contact in the Palm address book. Set Handheld to overwrite Desktop.
Disabled other conduits and resynchronized. It took a bit longer this time.
Still no traces of sync in the address book(s).
Installed Contacts Sidebar 0.4, restarted Thunderbird. Disabled other conduits,
set Handheld overwrites Desktop for MAB. Resynced.
Wohoo! The contacts were there in the Thunderbird Address Book.
Then I removed the Contacts AB that was imported from Outlook. Deleted the test
contact in Thunderbird. Resynchronized all the conduits this time. The test
contact was removed from Palm. Title I entered in one of the Thunderbird
contacts was synchronized to the appropriate Palm contact. Collected Addresses
AB was copied to Palm. Personal (address book) was copied to Palm.
Edited a record on Palm. The text was synced to Thunderbird AB record.
It works! :) Thanks, guys.

Alen

FYI, I just received the brand new Palm Treo 650 which is PalmOne's latest and
greatest PDA that began shipping last week.   TBird's Palm Sync extension
installed without a hitch and the Treo 650 contacts module synchronized with
Tbirds address book on the first try. 

I found a  really cool Mozilla Theme for the Palm that I installed as well. 
Take a look at: 

http://www.georgiajets.org/Moz_Stuff/T650-Mozilla.html

FYI,

Gordon
I just got this working against a Palmone Tungsten C; it worked fine except that
the contacts contained in two folders did not come over at all.  I have 10
folders including the few that came over from Thunderbird (Collected Addresses,
etc...)  Anybody seen this?
I hope this is the proper place for my feedback. First time Bugzilla-er here.

When I heard about this extension, and that TB 1.0 was out I decided to drop
Outlook and go for it.

I couldn't get it to work at first. After installing it, my contacts would not
syn with Palm Desktop OR TB. After some web research, I installed Contacts
Sidebar as some people said that got Palm sync working. After installing
Contacts Sidebar, Palm Sync worked!

My humble feedback:
1.  If I have my contacts synced, then add something to one of the "custom
fields" on the palm, next sync generates a duplicate in TB. One of the entries
in TB is the "old" entry without the changes made on the palm, and one is the
"new" entry reflecting the changes made on the palm. If you delete either of
them, then it deletes that contact from your palm and the only way to get it
back is to make a change to the one entry left in TB and sync again. Adding an
entry to the "fax" or "pager" field on the palm has the same result.

2. If you have any contacts on your palm with ONLY a company name and no first
or last name, then after syncing, they show up at the top of the list in TB with
no display name. If you then enter a "display name" (which has no correlating
field on the palm) then they become alphabetical in TB but show up at the top of
your list on the palm (which I don't really get).

3. On the palm you have 5 "default" drop down fields of "Work, home, fax, other,
email" which can be changed to your liking. If you duplicate any fields, such as
having 2 set to "mobile", only one shows up in TB (I realize there is probably
no solution to this, but thought I'd report it anyway.)

Thanks for a great extension allowing us palm users to migrate!
(In reply to comment #164)
> I hope this is the proper place for my feedback. First time Bugzilla-er here.
> 
> When I heard about this extension, and that TB 1.0 was out I decided to drop
> Outlook and go for it.
> 
> I couldn't get it to work at first. After installing it, my contacts would not
> syn with Palm Desktop OR TB. After some web research, I installed Contacts
> Sidebar as some people said that got Palm sync working. After installing
> Contacts Sidebar, Palm Sync worked!
> 
> My humble feedback:
> 1.  If I have my contacts synced, then add something to one of the "custom
> fields" on the palm, next sync generates a duplicate in TB. One of the entries
> in TB is the "old" entry without the changes made on the palm, and one is the
> "new" entry reflecting the changes made on the palm. If you delete either of
> them, then it deletes that contact from your palm and the only way to get it
> back is to make a change to the one entry left in TB and sync again. Adding an
> entry to the "fax" or "pager" field on the palm has the same result.
> 
> 2. If you have any contacts on your palm with ONLY a company name and no first
> or last name, then after syncing, they show up at the top of the list in TB with
> no display name. If you then enter a "display name" (which has no correlating
> field on the palm) then they become alphabetical in TB but show up at the top of
> your list on the palm (which I don't really get).
> 
> 3. On the palm you have 5 "default" drop down fields of "Work, home, fax, other,
> email" which can be changed to your liking. If you duplicate any fields, such as
> having 2 set to "mobile", only one shows up in TB (I realize there is probably
> no solution to this, but thought I'd report it anyway.)
> 
> Thanks for a great extension allowing us palm users to migrate!

(In reply to comment #164)
> I hope this is the proper place for my feedback. First time Bugzilla-er here.
> 
> When I heard about this extension, and that TB 1.0 was out I decided to drop
> Outlook and go for it.
> 
> I couldn't get it to work at first. After installing it, my contacts would not
> syn with Palm Desktop OR TB. After some web research, I installed Contacts
> Sidebar as some people said that got Palm sync working. After installing
> Contacts Sidebar, Palm Sync worked!
> 
> My humble feedback:
> 1.  If I have my contacts synced, then add something to one of the "custom
> fields" on the palm, next sync generates a duplicate in TB. One of the entries
> in TB is the "old" entry without the changes made on the palm, and one is the
> "new" entry reflecting the changes made on the palm. If you delete either of
> them, then it deletes that contact from your palm and the only way to get it
> back is to make a change to the one entry left in TB and sync again. Adding an
> entry to the "fax" or "pager" field on the palm has the same result.
> 
> 2. If you have any contacts on your palm with ONLY a company name and no first
> or last name, then after syncing, they show up at the top of the list in TB with
> no display name. If you then enter a "display name" (which has no correlating
> field on the palm) then they become alphabetical in TB but show up at the top of
> your list on the palm (which I don't really get).
> 
> 3. On the palm you have 5 "default" drop down fields of "Work, home, fax, other,
> email" which can be changed to your liking. If you duplicate any fields, such as
> having 2 set to "mobile", only one shows up in TB (I realize there is probably
> no solution to this, but thought I'd report it anyway.)
> 
> Thanks for a great extension allowing us palm users to migrate!

I've spent a couple of days on three occassions trying to get this working with
Win2K (fully patched), Palm Tunsten C. At the moment the sync works
intermitently - i.e. updated data is often not transferred. I would like to help
test and resolve this, I have several other Win2K PC's all clean (i.e. no Palm
or Thunderbird) - if someone can confirm what the correct install process and
components are I would be happy to do some tests and report the results?
stringham (stevet@tringham.net)
Tested fine with 1.0, but only after installing contacts sidebar extension.
Voting for this, now that it's possible for TB bugs.
At first I thought this was working OK with 1.0 after installing contact
sidebar, but now I realize it's not syncing some of my contacts.  Voting for
this since it still seems to need substantial work.  There are also problems
with not all the contact fields being synced.
I was having some significant issues getting the thing to work with my treo 600
- then I realized that the CondMgr.dll and HSAPI.dll files in my palm desktop
folder were almost a year younger than the ones in the TB folder. Once I moved
over the files, and then ran the PalmSyncInstall.exe file in the TB folder, it
worked like a charm.
I'm trying to get palmsync working on my Treo 650. I'm running:
  WinXP SP2
  Hotsync Mgr: 6.0.1
  Palm DT: 4.1.4
  Thunderbird: version 1.5 Beta 2 (20051006)

I got the .xpi installed fine. Sync wasn't working so I turned on
MOZ_CONDUIT_LOG.  See attachment. The behavior I am seeing is that each
'successful' sync seems to actually just add a new Moz AB corresponding to one
of my Palm categories. 

I started off with just one Moz AB (Personal AB). On my Palm, however, I have 7
categories. After a 'successful' sync (ie one which actually did nothing but
add just one new, empty Moz AB), further attempts to sync would occasionally
crash the HS Mgr instantly (HS Mgr restart seemed to clear it up). 

Now I've got my full list of Moz AB's to match my Palm categories, but though
the conduit log messages seem to indicate records are being sync'ed, nothing is
showing up in the Mozilla AB's (nor are they going into the Moz Personal AB).
Hi, I get this  error when I install the palmsync extension, even though I have installed  'Contacts Sidebar' first, and I was running Thunderbird 1.0.7, on winXP Pro SP2, on a brand new Compaq laptop.

"Mozilla Thunderbird could not download the file at file:///C:/palmsync.xpi because:Unexpected error -203"

The palmsync.xpi  is in root of c, and there is no reason it would not be available. Also I have installed about 3 other extension, to test if this was the problem, they all instaled with no prioblems. I think there is a problem with the palmsync extension.
Also it is strange that this extension is not listed in the extension available for thunderbird, and is only found if one searches the internet.
On another pc it worked fine, however. I think the extension is buggy. The computer that it woudl not install on is a  brand new compaq laptop is running windows XP pro SP2, and is full patched. Thunderbird is running fine on it by the way! The only problem is this extension, only problem is that my boss would like to be able to take his address book with him on is palm. Personally I think that PDA conduits should be built in to mail programs, as in todays world so many people have pdas. They are no longer a luxury for only rich people, which was the case 5 years ago. Any way thanks for the work that has been done so far it is appreciated.

In summary I think it works on some computers and no others.
I am getting the exact same error as https://bugzilla.mozilla.org/show_bug.cgi?id=214407#c171 (Mozilla Thunderbird could not download the file at ...), but only if I try to install:

http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/0.4/palmsync.xpi
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/0.6/palmsync.xpi
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/0.8/palmsync.xpi

if I install 

http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/1.5b1/palmsync.xpi

I do not get that error.  However, in ALL cases I do get the error

"Failed to register the Mozilla's Palm Sync Support Proxy Dll while installing the Mozilla Address Book Palm Sync Conduit".  I do not see any other references in this bug report to that particular error.


*** Bug 183397 has been marked as a duplicate of this bug. ***
Updated install details at http://kb.mozillazine.org/PalmSync_%28Thunderbird%29

Good help (and discussion) also in the Thunderbird forum http://forums.mozillazine.org/viewforum.php?f=28
QA Contact: vseerror
Whiteboard: 1.5 releases use http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/1.5b1/palmsync.xpi
The palmsync extension is not yet a "complete" extension but this bug is being closed in coordination with the developers. The reason for closing is rather simple: 
* the basic functionality exists
* this bug's comments have become too large in scope over a long period of time
* the work still in progress and the bugs that need to be addressed can be handled more effectively in more narrowly targeted bugs.

No doubt some of you have open issues - there are several open bugs. http://kb.mozillazine.org/PalmSync_%28Thunderbird%29 provides information on some of them.  If this knowledgebase link and assistance in the mozillazine forums does not address your problem then we encourage you to contribute information in the existing open bugs and submit new ones as needed. All of this is documented at http://kb.mozillazine.org/PalmSync_%28Thunderbird%29

If you comment in a bug, remember to add yourself as cc: especially if you expect to see future responses.
Status: ASSIGNED → RESOLVED
Closed: 15 years ago
Resolution: --- → FIXED
removed whiteboard pointing to TB 1.5 and URL pointing to TB 1.0 - no one should be using these versions any more.

TB1.5b-http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/1.5b1/palmsync.xpi
TB1.0-http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/palmsync.xpi
Whiteboard: 1.5 releases use http://ftp.mozilla.org/pub/mozilla.org/thunderbird/extensions/palmsync/1.5b1/palmsync.xpi
please shoot me an email if you can test a new version of palmsync.

moving bug to palmsync component for searchability. sorry for the spammage.

Component: Address Book → MailNews: Palm Sync
Product: Thunderbird → Core
Product: Core → MailNews Core
Product: MailNews Core → MailNews Core Graveyard
You need to log in before you can comment on or make changes to this bug.